Bug 42687 - WebKitTestRunner needs layoutTestController.setTabKeyCyclesThroughElements
Summary: WebKitTestRunner needs layoutTestController.setTabKeyCyclesThroughElements
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-07-20 15:14 PDT by Sam Weinig
Modified: 2012-09-14 06:27 PDT (History)
6 users (show)

See Also:


Attachments
Patch (7.71 KB, patch)
2012-09-06 08:54 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (7.74 KB, patch)
2012-09-07 01:21 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (7.71 KB, patch)
2012-09-11 07:49 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (7.73 KB, patch)
2012-09-11 08:44 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (9.63 KB, patch)
2012-09-14 04:01 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2010-07-20 15:14:15 PDT
WebKitTestRunner needs layoutTestController.setTabKeyCyclesThroughElements
Comment 1 Sam Weinig 2010-07-20 15:32:05 PDT
<rdar://problem/8213855>
Comment 2 Sudarsana Nagineni (babu) 2012-09-06 08:54:16 PDT
Created attachment 162517 [details]
Patch
Comment 3 Kenneth Rohde Christiansen 2012-09-07 00:46:14 PDT
Comment on attachment 162517 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=162517&action=review

> Source/WebKit2/WebProcess/InjectedBundle/API/c/WKBundlePrivate.h:106
>  
> +WK_EXPORT void WKBundleSetTabKeyCyclesThroughElements(WKBundleRef bundle, WKBundlePageRef page, bool cycles);

This sounds so much more like a runtime setting. bool enable?
Comment 4 Sudarsana Nagineni (babu) 2012-09-07 01:21:35 PDT
Created attachment 162704 [details]
Patch

Take Kenneth's feedback into consideration.
Comment 5 Sudarsana Nagineni (babu) 2012-09-11 07:49:24 PDT
Created attachment 163362 [details]
Patch

rebased.
Comment 6 Sudarsana Nagineni (babu) 2012-09-11 08:44:53 PDT
Created attachment 163375 [details]
Patch

Rebased once again.
Comment 7 Chris Dumez 2012-09-14 01:59:34 PDT
Comment on attachment 163375 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=163375&action=review

> LayoutTests/platform/wk2/Skipped:-467
> -fast/events/keypress-insert-tab.html

Shouldn't you remove it from LayoutTests/platform/efl/Skipped as well? or move it to efl-wk1/TestExpectations if it fails for WebKit1.
Comment 8 Chris Dumez 2012-09-14 02:01:33 PDT
Comment on attachment 163375 [details]
Patch

Shouldn't we reset the value in TestController::resetStateToConsistentValues() to avoid flakyness?
Comment 9 Sudarsana Nagineni (babu) 2012-09-14 04:01:00 PDT
Created attachment 164096 [details]
Patch

Take Chris's feedback into consideration.
Comment 10 Chris Dumez 2012-09-14 04:30:36 PDT
Comment on attachment 164096 [details]
Patch

LGTM. Thanks.
Comment 11 WebKit Review Bot 2012-09-14 06:27:37 PDT
Comment on attachment 164096 [details]
Patch

Clearing flags on attachment: 164096

Committed r128604: <http://trac.webkit.org/changeset/128604>
Comment 12 WebKit Review Bot 2012-09-14 06:27:41 PDT
All reviewed patches have been landed.  Closing bug.